.search__input {
  width: 100%;
  max-width: 300px;
  padding: var(--spacing-small);
  border: 1px solid var(--color-text-medium);
  border-radius: var(--boarder-radius-small);
  font-size: inherit;
  background-color: var(--color-text-light);
}

.search__input--focused {
  border: 1px solid;
  outline: 2px solid #007aff;
}

.search__input--disabled {
  background-color: var(--color-accorrdion-background);
}

.search__input--disabled::placeholder {
  color: var(--color-text-medium);
}
